Loading...
Searching...
No Matches
SimplexTreeOptions Struct Reference

Concept of the template parameter for the class Gudhi::Simplex_tree<SimplexTreeOptions>. More...

`#include <concept/Simplex_tree/SimplexTreeOptions.h>`

## Public Types

typedef IndexingTag | Indexing_tag
| Forced for now.
typedef VertexHandle | Vertex_handle
| Must be a signed integer type. It admits a total order <.
typedef FiltrationValue | Filtration_value
| Must be comparable with operator<.
typedef SimplexKey | Simplex_key
| Must be an integer type.
typedef SimplexData | Simplex_data
| Optional, can be omitted.

## Static Public Attributes

static const bool | store_key
| If true, each simplex has extra storage for one Simplex_key. Necessary for Persistent_cohomology.
static const bool | store_filtration
| If true, each simplex has extra storage for one Filtration_value, and this value is propagated by operations like Gudhi::Simplex_tree::expansion. Without it, Persistent_cohomology degenerates to computing usual (non-persistent) cohomology.
static constexpr bool | contiguous_vertices
| If true, the list of vertices present in the complex must always be 0, ..., num_vertices-1, without any hole.
static const bool | link_nodes_by_label
| If true, the lists of Node with same label are stored to enhance cofaces and stars access.
static const bool | stable_simplex_handles
| If true, Simplex_handle will not be invalidated after insertions or removals.

## Detailed Description

Concept of the template parameter for the class Gudhi::Simplex_tree<SimplexTreeOptions>.

A model for this is Gudhi::Simplex_tree_options_full_featured or Gudhi::Simplex_tree_options_minimal. If you want to provide your own, it is recommended that you derive from it and override some parts instead of writing a class from scratch.

The documentation for this struct was generated from the following file:

- concept/Simplex_tree/SimplexTreeOptions.h